import { DbModelWithHistory } from 'src/app/model/entities/db-model';
import { Role } from 'src/app/model/entities/role';

export interface Group extends DbModelWithHistory {
  name: string;
  roles: Role[];
}

export interface GroupCreateInput {
  name: string;
  roles: Role[];
}

export interface GroupUpdateInput {
  id: number;
  name: string;
  roles: Role[];
}
