import { User } from 'src/app/model/auth/user';
import { DbModelWithHistory } from 'src/app/model/entities/db-model';

export interface UserSpace extends DbModelWithHistory {
  id: number;
  name: string;
  owner?: User;
  users?: User[];
}

export interface UserSpaceCreateInput {
  name?: string;
  users?: number[];
}

export interface UserSpaceUpdateInput {
  id: number;
  name?: string;
  users?: number[];
}
