import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'src/app/modules/shared/shared.module';
import { RouterModule, Routes } from '@angular/router';
import { FeatureFlagsPage } from 'src/app/modules/admin/administration/feature-flags/feature-flags.page';
import { FeatureFlagsDataService } from 'src/app/modules/admin/administration/feature-flags/feature-flags.data.service';

const routes: Routes = [
  {
    path: '',
    title: 'Admin - Feature-flags | Maxlan',
    component: FeatureFlagsPage,
  },
];

@NgModule({
  declarations: [FeatureFlagsPage],
  imports: [CommonModule, SharedModule, RouterModule.forChild(routes)],
  providers: [FeatureFlagsDataService.provide()],
})
export class FeatureFlagsModule {}
